Bug 426937 - Brightness key does not work on C714NR
Brightness key does not work on C714NR
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-28 11:46 EST by Sachin Garg
Modified: 2008-01-18 07:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-18 07:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
acpid debug log (1.73 KB, text/plain)
2008-01-02 13:49 EST, Sachin Garg
no flags Details
The script (934 bytes, application/x-shellscript)
2008-01-03 03:17 EST, Zdenek Prikryl
no flags Details
Conf file for changing brightness down (96 bytes, application/octet-stream)
2008-01-03 03:18 EST, Zdenek Prikryl
no flags Details
Conf file for changing brightness up (92 bytes, application/octet-stream)
2008-01-03 03:18 EST, Zdenek Prikryl
no flags Details
edited script (1.00 KB, application/x-shellscript)
2008-01-05 13:57 EST, Sachin Garg
no flags Details

  None (edit)
Description Sachin Garg 2007-12-28 11:46:38 EST
Description of problem:

Brightness keys(Fn F6/F7) does not work on my laptop Compaq Presario C71NR
But when I try to this
echo <number> > /proc/acpi/video/acpi/DD03/brightness
I am able to control to control the brightness on my screen.

Also if my press Fn-F7 brighness goes to the maximum and stays there.

Version-Release number of selected component (if applicable):

Fedora 8 x86_64 with latest updates


How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Sachin Garg 2007-12-28 11:50:59 EST
Also I dont see any information in /var/log/messages and there is not
/var/log/acpid file
Comment 2 Zdenek Prikryl 2008-01-02 02:42:51 EST
Hello, since acpid 1.0.6 there is no /var/log/acpid. All messages go to
/var/log/messages. As default, only very important messages are logged, so
usually you don't see additional information like what key was pressed, what
script was executed etc. If you want this information, you have to:

1. stop acpid (/sbin/service acpid stop)
2. run acpid in the debug mode (/usr/sbin/acpid --debug)

then you should see what is happening when you press brightness keys. Please,
send what acpid will log.
Comment 3 Sachin Garg 2008-01-02 13:49:32 EST
Created attachment 290676 [details]
acpid debug log

thnx for the help. here is acpid log file ..
Comment 4 Zdenek Prikryl 2008-01-03 03:17:13 EST
First at all, acpid doesn't do anything with brightness. Usually changing
brightness is done at the hardware layer. So one of possible solution is upgrade
BIOS (for example some ASUS laptops have to change default BIOS version,
otherwise changing backlight doesn't work).

But we could try this. In the attachments, you'll find three files, which
changes brightness at the software level. Copy the script into /etc/acpi/actions
and conf files into /etc/acpi/events/. Unfortunately, I don't have this laptop
for testing, so you have to complete the script (follow comments).

After that, run acpid in debug mode and send a log here again.
Comment 5 Zdenek Prikryl 2008-01-03 03:17:46 EST
Created attachment 290714 [details]
The script
Comment 6 Zdenek Prikryl 2008-01-03 03:18:25 EST
Created attachment 290715 [details]
Conf file for changing brightness down
Comment 7 Zdenek Prikryl 2008-01-03 03:18:47 EST
Created attachment 290716 [details]
Conf file for changing brightness up
Comment 8 Sachin Garg 2008-01-05 13:57:15 EST
Created attachment 290890 [details]
edited script

Thanx for the help. I was able to get the function key working after making
some changes in the script. I have attached the script for your review.

But the increasing the brightnesss is not smooth. Screen flickers to maximum
while increasing the brightness. But reducing the brightness is smooth.

I had also tried Ubuntu, function keys works out of the box and operation wa
On further debugging I see they are using acpi_fakekey but when I try to use it
in fedora it does not work. Any idea ?
Comment 9 Zdenek Prikryl 2008-01-10 05:13:02 EST
acpi_fakekey is the wrapper and works only for some hot keys. Definitely it
doesn't work for brightness on {R,T}60 (I tested it). It is really strange
because I can not reproduce this bug on three laptops T60. After fresh install,
everything works. So, can you try to install fedora 8 again (for example on some
test partition [gparted is a nice GUI for resizing partitions])?
Comment 10 Zdenek Prikryl 2008-01-10 05:18:33 EST
Sorry, I made error in type of laptop.
Comment 11 Zdenek Prikryl 2008-01-10 05:24:44 EST
How do you try to use acpi_fakekey?
Comment 12 Sachin Garg 2008-01-11 23:10:50 EST
Just installed the kernel 2.6.24-0.138.rc7.fc9 and stepping up the brightness
was smooth...
Comment 13 Zdenek Prikryl 2008-01-15 09:06:55 EST
So, changing brightness works fine with the kernel 2.6.24-0.138.rc7.fc9 and
these scripts? On scripts are unneeded?
Comment 14 Sachin Garg 2008-01-16 13:02:05 EST
scripts are not required. It just works with out of the box with new kernel.
Comment 15 Zdenek Prikryl 2008-01-18 07:39:28 EST
OK, so problem is fixed.

Note You need to log in before you can comment on or make changes to this bug.